package com.td.boss.game.combossesbattle.service;

import com.td.boss.common.service.*;
import com.td.boss.game.combossesbattle.pojo.ComBossesBattle;
import com.td.boss.game.combossesbattle.vo.ComBossesBattleVo;

import java.util.List;
import java.util.Optional;

public interface ComBossesBattleService extends CommonService<ComBossesBattleVo, ComBossesBattle, Integer> {

    ComBossesBattle addComBossesBattle(ComBossesBattle comBossesBattle);

    ComBossesBattle findByPlayerIdAndBossId(Integer playerId,Integer bossId);

    List<ComBossesBattle> findAllByBossesId(Integer bossesId);
}
